Package com.google.protobuf

# Class TypeRegistry.Builder

java.lang.Object
com.google.protobuf.TypeRegistry.Builder

Enclosing class:
  `TypeRegistry`

public static final class TypeRegistry.Builder extends Object
A Builder is used to build `TypeRegistry`.

## Method Summary

Modifier and Type
Method
Description
`TypeRegistry.Builder`
`add(Descriptors.Descriptor messageType)`
Adds a message type and all types defined in the same .proto file as well as all transitively imported .proto files to this `TypeRegistry.Builder`.
`TypeRegistry.Builder`
`add(Iterable<Descriptors.Descriptor> messageTypes)`
Adds message types and all types defined in the same .proto file as well as all transitively imported .proto files to this `TypeRegistry.Builder`.
`TypeRegistry`
`build()`
Builds a `TypeRegistry`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### add

public TypeRegistry.Builder add(Descriptors.Descriptor messageType)
Adds a message type and all types defined in the same .proto file as well as all transitively imported .proto files to this `TypeRegistry.Builder`.

### add

public TypeRegistry.Builder add(Iterable<Descriptors.Descriptor> messageTypes)
Adds message types and all types defined in the same .proto file as well as all transitively imported .proto files to this `TypeRegistry.Builder`.

### build

public TypeRegistry build()
Builds a `TypeRegistry`. This method can only be called once for one Builder.